[gta02-core] kicad patches from 5793 don't apply to rev 2243

Evgeniy Ginzburg nad.oby at gmail.com
Thu Jan 21 18:19:07 CET 2010

On Thu, Jan 21, 2010 at 1:36 PM, Werner Almesberger <werner at openmoko.org> wrote:
> Evgeniy Ginzburg wrote:
>> Seems private mail went to /dev/null by spamfilter or something like
>> this so reposting on ML
> Sorry, that's just me being slow. But it's better on the list
> anyway.
>>> Sorry, I'm not fluent in quilt-foo, so can't provide fast correct
>>> patches, but it seems as thee is minor changes in kicad.
> Ah yes, that's a documentation bug. In the beginning, I thought
> I'd just keep up with upstream, but it turned out that there was
> sufficient development activity of no immediate use for us that
> the disadvantages of doing this would outweigh the benefits.
> So de facto we just used a "pinned" revision. I've updated
> docs/GETTING-STARTED to recommend a specific revision, namely
> 1923 at the moment.

Ahha got it now.
Note that you patchset is applicable to rev 2243, just need little quilt magic.
AFAIK this only cosmetic changes in patched files. (i'm not programmer so
can't provide more correct information).
I'll see tonight or tomorrow if current kicad builds/works OK with
those patches and will report back.
Have you any suggestions how to test functionality implemented in patches?

> By the way, there is a new feature coming that will want us to
> catch up before too long (maybe in a couple of weeks), namely
> the new layer dialog, which will make it possible to quickly
> switch board layers on and off.

That's good.

So long, and thanks for all the fish.

More information about the gta02-core mailing list